Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011505 [DCSS] Bug Report minor have not tried 2018-07-02 04:23 2018-08-13 17:27
Reporter RoGGa View Status public  
Assigned To gammafunk
Priority normal Resolution done  
Status closed   Product Branch 0.22 stable branch
Summary 0011505: when player is CONFused, still able to command allies where to go (with 't' key)
Description While I already had 3 summoned Ice Beasts, Erika went invisible and then CONFused me while she was at the edge of my LOS.
Using the Talk command ('t' key), I was able to have my allies 'R'etreat in her direction. A few moves later, while still CONFused, I was able to tell them to: 'F'ollow me
...leaving me with a wall of 3 Ice Beast between her and my player while waiting for the CONFused status to end.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0032334)
Pekkekke (reporter)
2018-07-13 00:25

Not precisely the same issue, but similar enough that I'm tagging it on here: the player is also capable of shouting orders to allies while silenced.
(0032433)
ebering (developer)
2018-07-24 18:21

The behavior that players can give orders while silenced is intentional, and was introduced in ea7895c35
(0032436)
RoGGa (reporter)
2018-07-24 21:19

I've given some thought to giving orders to allies when silenced. Conceptually, I can see how this is possible through a military type of sign language ( although that isn't documented as such in the referenced commit ).

As for the CONFused status, I think it should be the opposite of silenced; you should be able to Shout (via: tt) but not give new orders to allies.

Other than that, the only minor problem I've found is on the Help's List of commands (via: ??) for the 't' key:
 t: tell allies (tt to shout)

it should state instead:
 t: order allies (tt to shout)
(0032437)
ebering (developer)
2018-07-24 21:50

Tell is fine. Speak and tell in English usage do not refer only to vocalized language. They are used in the ASL (American Sign Language) in the usual way, for example, even when referring to entirely signed conversations.
(0032438)
ebering (developer)
2018-07-24 22:00

Patch in PR 826 https://github.com/crawl/crawl/pull/826 [^]
(0032441)
RoGGa (reporter)
2018-07-24 23:56

I agree with 'Tell' being acceptable for those whose mother tongue is English.
I'm just concerned that, intuitively, the 't' key seems to stand for talk and someone (as picky as me) will bring this up again in the future.

I could have also been more detailed by including: When pressing the 't' key, it already states:
 Orders for allies: a - attack a new target. ...

All good and cheers for the patch!
(0032452)
ebering (developer)
2018-07-27 16:12

Fixed in 47ae1cb
(0032453)
gammafunk (administrator)
2018-07-27 16:28

Changed in 0.22-a0-859-g47ae1cb, thanks!
(0032454)
RoGGa (reporter)
2018-07-27 20:04

Thanks! Looking forward to testing it.

But it seems like there is some ~slowness~ with the Win trunk updates ( http://crawl.develz.org/trunk/) [^] as it's still stuck on:
  Last updated 2018-07-23, 0.22-a0-815-gb582571
for the last few days.
(0032482)
RoGGa (reporter)
2018-08-01 21:52

Should the 'Conf' status description via ?/T be updated?
If so, maybe Silence (Sil) could be updated at the same time to inform that it is still possible to order allies.

- Issue History
Date Modified Username Field Change
2018-07-02 04:23 RoGGa New Issue
2018-07-13 00:25 Pekkekke Note Added: 0032334
2018-07-24 18:21 ebering Note Added: 0032433
2018-07-24 21:19 RoGGa Note Added: 0032436
2018-07-24 21:50 ebering Note Added: 0032437
2018-07-24 22:00 ebering Note Added: 0032438
2018-07-24 23:56 RoGGa Note Added: 0032441
2018-07-27 16:12 ebering Note Added: 0032452
2018-07-27 16:12 ebering Status new => closed
2018-07-27 16:12 ebering Resolution open => done
2018-07-27 16:28 gammafunk Note Added: 0032453
2018-07-27 16:28 gammafunk Status closed => resolved
2018-07-27 16:28 gammafunk Assigned To => gammafunk
2018-07-27 20:04 RoGGa Note Added: 0032454
2018-08-01 21:52 RoGGa Note Added: 0032482
2018-08-13 17:27 RoGGa Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker